Returns a new cURL multi handle

- « curl_multi_info_read

- curl_multi_remove_handle »

- PHP Manual
- cURL Functions
- Returns a new cURL multi handle

# curl_multi_init

(PHP 5, PHP 7, PHP 8)

curl_multi_init — Returns a new cURL multi handle

### Description

curl_multi_init(): CurlMultiHandle

Allows the processing of multiple cURL handles asynchronously.

### Parameters

This function has no parameters.

### Return Values

Returns a cURL multi handle.

### Changelog

Version | Description
--- | ---
8.0.0 | On success, this function returns a CurlMultiHandle instance now; previously, a resource was returned.

### See Also

- curl_init() - Initialize a cURL session
- curl_multi_close() - Remove all cURL handles from a multi handle